TLS certificates
v1.6.2
List TLS certificates
List TLS certificates in the current account.
GET
/tls/certificate
TLSCertificates
Authentication
Request example
GET
curl --request GET \
--url 'https://api.regfish.com/tls/certificate' \
--header 'x-api-key: YOUR_API_KEY'Responses
200
TLS certificate list
Response example 200
{
"success": true,
"code": 0,
"response": [
{
"id": "7K9QW3M2ZT8HJ",
"status": "pending",
"common_name": "example",
"product": "example",
"provider": "digicert",
"dns_names": [
"example"
],
"action_required": false,
"pending_reason": "validation_pending",
"pending_message": "The TLS certificate order is waiting for domain validation.",
"completion_url": "",
"organization_id": null,
"certificate_pem_available": false
}
]
}401
Unauthorized
Response example 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}500
Unexpected error
Response example 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}Community
Become part of the community
The regfish DNS API is a great solution for developers who want to automate domains and DNS zones. Become part of the community and benefit from DNS automation. The DNS API is available free of charge to every regfish customer.